Upgrading

torsten torsten at inetw.net
Fri Jan 31 13:43:47 PST 2003


I need to compile a maths package which requires gcc-3.2.
My lfs-3.3 has gcc-2.95, so I need to upgrade.

My questions is how?

1) delete base filesystem structure, install new lfs.
2) piecewise install lfs over old filesystem structure.
3) install new lfs on "fresh" system, then copy to current lfs
4) only update gcc

How much of lfs-4 can I piecewise install on top of without taking
down my system?  Without introducing conflicting program versions?
conflicting libraries*?

(*By conflicting libraries, I prefer to keep only one version of a
library present on my system at a time)

Thanks for any tips,
Torsten
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-dev' in the subject header of the message



More information about the lfs-dev mailing list